LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-10-2009, 11:49 AM   #1
vivek rai
LQ Newbie
 
Registered: Jan 2009
Posts: 15

Rep: Reputation: 0
error while downloading git


i am trying to install git on Suse10, while installing i am getting error

error: Failed dependencies:
libcrypto.so.6 is needed by git-1.5.6.1-1.i386
openssh-clients is needed by git-1.5.6.1-1.i386
perl(Git) is needed by git-1.5.6.1-1.i386
perl-Git = 1.5.6.1-1 is needed by git-1.5.6.1-1.i386

any help would be appreciated.
 
Old 01-10-2009, 12:02 PM   #2
repo
LQ 5k Club
 
Registered: May 2001
Location: Belgium
Distribution: Arch
Posts: 8,527

Rep: Reputation: 898Reputation: 898Reputation: 898Reputation: 898Reputation: 898Reputation: 898Reputation: 898
try to install the dependies:
libcrypto.so.6
openssh
perl
 
Old 01-10-2009, 01:41 PM   #3
vivek rai
LQ Newbie
 
Registered: Jan 2009
Posts: 15

Original Poster
Rep: Reputation: 0
i already have
rooti@myhome:~>rpm -q perl
perl-5.8.8-14.10
rooti@myhome:~> rpm -q openssh
openssh-4.2p1-18.38.3
 
Old 01-10-2009, 01:47 PM   #4
repo
LQ 5k Club
 
Registered: May 2001
Location: Belgium
Distribution: Arch
Posts: 8,527

Rep: Reputation: 898Reputation: 898Reputation: 898Reputation: 898Reputation: 898Reputation: 898Reputation: 898
AFAIK libcrypto.so.6 is provided by
openssl
 
Old 01-10-2009, 01:53 PM   #5
vivek rai
LQ Newbie
 
Registered: Jan 2009
Posts: 15

Original Poster
Rep: Reputation: 0
openssl is also installed
rooti@myhome:~> rpm -q openssl
openssl-0.9.8a-18.23

this is the first time i am installing git on Suse
even on rhel4 i am getting the same message
 
Old 01-10-2009, 02:14 PM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
But why not install git with the package manager, Yeast2 ??

Or with the command # zypper install git
 
Old 01-11-2009, 01:13 AM   #7
vivek rai
LQ Newbie
 
Registered: Jan 2009
Posts: 15

Original Poster
Rep: Reputation: 0
it shows me this through zypper

Restoring system sources...
Do you want to trust key id A84EDAE89C800ACA, SuSE Package Signing Key <build@suse.de>, fingerprint 79C179B2E1C820C1890F9994A84EDAE89C800ACA [y/n]: y
Import key A84EDAE89C800ACA to trusted keyring? [y/n]: y
Parsing metadata for SUSE Linux Enterprise Server 10 SP1...
Parsing metadata for SLES10-SP1-Updates...
Parsing RPM database...
package 'git' not found
Summary:
Nothing to do.
 
Old 01-11-2009, 07:12 AM   #8
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
Well, just thought so, works in Suse 10.3.

Try this instead
http://download.opensuse.org/reposit...m/SLE_10/i586/
All 'git-*' is needed.

The 'perl-GIT' is just one of "10,000" perl
modules usable with perl-5.8.8, not included
in the package perl-5.8.8-14.10.
....
The Suse repo was found googling .. suse 10 git
> > http://kerneltrap.org/mailarchive/git/2007/10/17/345859
....

Last edited by knudfl; 01-11-2009 at 07:24 AM.
 
Old 01-12-2009, 05:27 AM   #9
vivek rai
LQ Newbie
 
Registered: Jan 2009
Posts: 15

Original Poster
Rep: Reputation: 0
Thanks.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
inconsistency issue of git-clone ***/git/mesa/drm with the existing kernel source centguy Linux - Desktop 2 10-08-2008 11:36 PM
GIT error messages HelpMe2877 Linux - Server 3 07-11-2008 02:20 PM
Git Error with chdir permissions DiBosco Linux - Software 2 05-01-2008 02:36 PM
sled 10 git error Diws SUSE / openSUSE 0 09-19-2007 02:56 PM
error starting git-compiz on xgl gummybearx SUSE / openSUSE 3 05-19-2007 11:19 PM


All times are GMT -5. The time now is 02:05 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration